package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TQtdevinfo;
import com.chinaitop.depot.intelligent.basicdata.model.TQtdevinfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TQtdevinfoMapper {
    int countByExample(TQtdevinfoExample example);

    int deleteByExample(TQtdevinfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TQtdevinfo record);

    int insertSelective(TQtdevinfo record);

    List<TQtdevinfo> selectByExample(TQtdevinfoExample example);

    TQtdevinfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TQtdevinfo record, @Param("example") TQtdevinfoExample example);

    int updateByExample(@Param("record") TQtdevinfo record, @Param("example") TQtdevinfoExample example);

    int updateByPrimaryKeySelective(TQtdevinfo record);

    int updateByPrimaryKey(TQtdevinfo record);
}